//------------------------------------------------------------
//

//------------------------------------------------------------
uniform int mmv_pass; //pass

uniform sampler2D mmv_tex0;
uniform sampler2D mmv_tex1;

//------------------------------------------------------------
varying vec3 VERTEX_NORMAL;	// 法線ベクトル
varying vec3 VERTEX_LIGHT;	// ライトベクトル
varying vec3 VERTEX_EYE;	// 視線ベクトル

// ------------------------------------------------------------
// フラグメントシェーダプログラム
// ------------------------------------------------------------
void main( void )
{
	vec3	N	= normalize(VERTEX_NORMAL);	// 法線ベクトル
	vec3	L	= normalize(VERTEX_LIGHT);	// ライトベクトル
	vec3	E	= normalize(VERTEX_EYE);	// 視線ベクトル
	vec3	R	= reflect( L, N );			// 反射ベクトル
	
	//色
//	vec3	color	= texture2D( mmv_tex0, gl_TexCoord[ 0 ].st ).rgb;	//マテリアル色
//	float	a		= texture2D( mmv_tex1, gl_TexCoord[ 0 ].st ).a;		//不透明度
	vec3	color	= vec3( 0.4, 0.4, 0.4 );//gl_FrontMaterial.diffuse.rgb;	//マテリアル色
	float	a		= gl_FrontMaterial.diffuse.a;	//不透明度

//	gl_FragColor	= vec4( color, a * float( 8 - mmv_pass ) / 8.0 );	//出力
	gl_FragColor	= vec4( color * vec3( float( 8 - mmv_pass ) / 8.0 ), a );	//出力
}
